lp:ubuntu/trusty/magicor

Created by James Westby on 2013-10-19 and last modified on 2013-10-19
Get this branch:
bzr branch lp:ubuntu/trusty/magicor
Members of Ubuntu branches can upload to this branch. Log in for directions.

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Status:
Mature

Recent revisions

8. By Matthias Klose on 2011-12-31

Rebuild to drop python2.6 dependencies.

7. By Vincent Cheng on 2011-07-09

* Adopt package; change maintainer field in debian/control to:
  Debian Games Team <email address hidden>.
  (Closes: #632988)
* Add myself to uploaders.
* Update debian/copyright to conform to DEP-5.
* Move manpage section to 6.
* Add Vcs-* entries in debian/control.
* Update Standards version from 3.8.4 to 3.9.2, no changes required.
* Update debhelper compatiblity level from 7 to 8.
* Transition to dh_python2; drop python-support from build-depends.
* Add debian/magicor.desktop. (LP: #721536)
* Add Magicor icon; install to /usr/share/pixmaps.

6. By Xavier Oswald <email address hidden> on 2010-03-17

[ Luca Falavigna ]
* Allow byte-compilation of Python files (Closes: #566045):
  - Build-depend on python-support.
  - Invoke dh_pysupport in rules.
* Depend on ${python:Depends} instead of a specific Python version.
* Do not create usr/lib/python2.5/site-packages/magicor, let the build
  process to install files into the correct location.

[ Xavier Oswald ]
* Fix magicor requiring versioned dependency (Closes: #536208)
* Avoid debian/watch file to catch development versions

5. By Michael Bienia on 2010-01-02

* Merge with Debian testing. Remaining changes:
  + debian/control: As Ubuntu's cdbs symlinks identical files, magicor needs
    a strict versioned Depends on magicor-data for the symlinked files to be
    in the same version.
* debian/magicor.install: Update to also work for Python 2.6.
* debian/magicor.dirs: Unneeded as Makefile.debian creates them too.
* debian/Makefile.debian: Use /usr/share/python/python.mk to determine the
  correct Python library directory.
* debian/control: Update python dependency to >= 2.6.

4. By Michael Bienia on 2008-05-23

* Sync with Debian unstable (LP: #234150).
* New Ubuntu changes:
  + debian/control:
    - As Ubuntu's cdbs symlinks identical files, magicor needs a
      strict versioned Depends on magicor-data for the symlinked
      files to be in the same version (LP: #183029).
    - Modify Maintainer value to match DebianMaintainerField spec.

3. By Michael Bienia on 2008-01-14

* debian/magicor.{install,dirs}:
  - Update file location to python 2.5 (fixes FTBFS).
* debian/control:
  + Modify Maintainer value to match DebianMaintainerField spec.

2. By Xavier Oswald <email address hidden> on 2007-01-17

Initial release (closes: #407346)

1. By Xavier Oswald <email address hidden> on 2007-01-17

Import upstream version 1.0

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/utopic/magicor
This branch contains Public information 
Everyone can see this information.

Subscribers